Delete a file
curl --request DELETE \
--url https://{identifier}.sandbox.tensorlake.ai/api/v1/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://{identifier}.sandbox.tensorlake.ai/api/v1/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{identifier}.sandbox.tensorlake.ai/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}File Management
Delete File
Delete a file through the sandbox proxy.
DELETE
/
api
/
v1
/
files
Delete a file
Delete a file from a sandbox path.
Endpoint
DELETE /api/v1/files?path=<absolute-or-relative-path>
Example Request
curl -X DELETE "https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/files?path=/workspace/temp.txt" \
-H "Authorization: Bearer $TENSORLAKE_API_KEY"
Response
Tensorlake returns204 No Content when the file is deleted.
If the file does not exist, Tensorlake returns 404 Not Found. Paths containing .. are rejected with 403 Forbidden.Was this page helpful?
⌘I